CREATE TABLE fa_mc_lease_schedules (
    LEDGER_ID                        NUMBER(18, 0),
    LEASE_SCHEDULE_ID                NUMBER(18, 0),
    LEASE_ID                         NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE                   VARCHAR2(120)    NOT NULL,
    ASSET_NUMBER                     VARCHAR2(120),
    ASSET_DESCRIPTION                VARCHAR2(320),
    PRESENT_VALUE                    NUMBER       ,
    COST                             NUMBER       ,
    LIABILITY_AMOUNT                 NUMBER       ,
    SCHEDULE_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    UPDATED_FLAG                     VARCHAR2(4)  ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120),
    ATTRIBUTE1                       VARCHAR2(600),
    ATTRIBUTE2                       VARCHAR2(600),
    ATTRIBUTE3                       VARCHAR2(600),
    ATTRIBUTE4                       VARCHAR2(600),
    ATTRIBUTE5                       VARCHAR2(600),
    ATTRIBUTE6                       VARCHAR2(600),
    ATTRIBUTE7                       VARCHAR2(600),
    ATTRIBUTE8                       VARCHAR2(600),
    ATTRIBUTE9                       VARCHAR2(600),
    ATTRIBUTE10                      VARCHAR2(600),
    ATTRIBUTE11                      VARCHAR2(600),
    ATTRIBUTE12                      VARCHAR2(600),
    ATTRIBUTE13                      VARCHAR2(600),
    ATTRIBUTE14                      VARCHAR2(600),
    ATTRIBUTE15                      VARCHAR2(600),
    ATTRIBUTE16                      VARCHAR2(600),
    ATTRIBUTE17                      VARCHAR2(600),
    ATTRIBUTE18                      VARCHAR2(600),
    ATTRIBUTE19                      VARCHAR2(600),
    ATTRIBUTE20                      VARCHAR2(600),
    ATTRIBUTE21                      VARCHAR2(600),
    ATTRIBUTE22                      VARCHAR2(600),
    ATTRIBUTE23                      VARCHAR2(600),
    ATTRIBUTE24                      VARCHAR2(600),
    ATTRIBUTE25                      VARCHAR2(600),
    ATTRIBUTE26                      VARCHAR2(600),
    ATTRIBUTE27                      VARCHAR2(600),
    ATTRIBUTE28                      VARCHAR2(600),
    ATTRIBUTE29                      VARCHAR2(600),
    ATTRIBUTE30                      VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    PARENT_LEASE_SCHEDULE_ID         NUMBER(18, 0),
    ASSET_SCHEDULE_NUM               NUMBER(18, 0),
    NEW_COST                         NUMBER       ,
    NEW_LIABILITY_AMOUNT             NUMBER       ,
    GAIN_LOSS_AMOUNT                 NUMBER       ,
    LEASE_TRANSACTION_STATUS_CODE    VARCHAR2(120),
    LEASE_TRANSACTION_ID_IN          NUMBER(18, 0)    NOT NULL,
    LEASE_TRANSACTION_ID_OUT         NUMBER(18, 0),
    DATE_EFFECTIVE                   TIMESTAMP(6)     NOT NULL,
    DATE_INEFFECTIVE                 TIMESTAMP(6) ,
    PERIOD_COUNTER_TERMINATED        NUMBER       ,
    PERIOD_COUNTER_LIFE_COMPLETE     NUMBER       ,
    ASSET_ID                         NUMBER(18, 0),
    LEASE_RATE_GAIN_LOSS_AMOUNT      NUMBER       ,
    CURRENCY_RATE                    NUMBER       ,
    LEDGER_ID                        NUMBER(18, 0),
    LEASE_SCHEDULE_ID                NUMBER(18, 0),
    LEASE_ID                         NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE                   VARCHAR2(120)    NOT NULL,
    ASSET_NUMBER                     VARCHAR2(120),
    ASSET_DESCRIPTION                VARCHAR2(320),
    PRESENT_VALUE                    NUMBER       ,
    COST                             NUMBER       ,
    LIABILITY_AMOUNT                 NUMBER       ,
    SCHEDULE_TYPE_CODE               VARCHAR2(120)    NOT NULL,
    UPDATED_FLAG                     VARCHAR2(4)  ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120),
    ATTRIBUTE1                       VARCHAR2(600),
    ATTRIBUTE2                       VARCHAR2(600),
    ATTRIBUTE3                       VARCHAR2(600),
    ATTRIBUTE4                       VARCHAR2(600),
    ATTRIBUTE5                       VARCHAR2(600),
    ATTRIBUTE6                       VARCHAR2(600),
    ATTRIBUTE7                       VARCHAR2(600),
    ATTRIBUTE8                       VARCHAR2(600),
    ATTRIBUTE9                       VARCHAR2(600),
    ATTRIBUTE10                      VARCHAR2(600),
    ATTRIBUTE11                      VARCHAR2(600),
    ATTRIBUTE12                      VARCHAR2(600),
    ATTRIBUTE13                      VARCHAR2(600),
    ATTRIBUTE14                      VARCHAR2(600),
    ATTRIBUTE15                      VARCHAR2(600),
    ATTRIBUTE16                      VARCHAR2(600),
    ATTRIBUTE17                      VARCHAR2(600),
    ATTRIBUTE18                      VARCHAR2(600),
    ATTRIBUTE19                      VARCHAR2(600),
    ATTRIBUTE20                      VARCHAR2(600),
    ATTRIBUTE21                      VARCHAR2(600),
    ATTRIBUTE22                      VARCHAR2(600),
    ATTRIBUTE23                      VARCHAR2(600),
    ATTRIBUTE24                      VARCHAR2(600),
    ATTRIBUTE25                      VARCHAR2(600),
    ATTRIBUTE26                      VARCHAR2(600),
    ATTRIBUTE27                      VARCHAR2(600),
    ATTRIBUTE28                      VARCHAR2(600),
    ATTRIBUTE29                      VARCHAR2(600),
    ATTRIBUTE30                      VARCHAR2(600),
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    PARENT_LEASE_SCHEDULE_ID         NUMBER(18, 0),
    ASSET_SCHEDULE_NUM               NUMBER(18, 0),
    NEW_COST                         NUMBER       ,
    NEW_LIABILITY_AMOUNT             NUMBER       ,
    GAIN_LOSS_AMOUNT                 NUMBER       ,
    LEASE_TRANSACTION_STATUS_CODE    VARCHAR2(120),
    LEASE_TRANSACTION_ID_IN          NUMBER(18, 0)    NOT NULL,
    LEASE_TRANSACTION_ID_OUT         NUMBER(18, 0),
    DATE_EFFECTIVE                   TIMESTAMP(6)     NOT NULL,
    DATE_INEFFECTIVE                 TIMESTAMP(6) ,
    PERIOD_COUNTER_TERMINATED        NUMBER       ,
    PERIOD_COUNTER_LIFE_COMPLETE     NUMBER       ,
    ASSET_ID                         NUMBER(18, 0),
    LEASE_RATE_GAIN_LOSS_AMOUNT      NUMBER       ,
    CURRENCY_RATE                    NUMBER       ,
    CONSTRAINT pk_fa_mc_lease_schedules PRIMARY KEY (LEDGER_ID, LEASE_SCHEDULE_ID, LEDGER_ID, LEASE_SCHEDULE_ID)
);
